=== debian/changelog ===
xmutil (1:1.2) jammy; urgency=medium

  * Update the new upstream versioning v1.2
    - Fix 'pwrctl' failure in KV260
  * Update watch script
    - platformstats removed from the watch script
      since it is a separate package now

 -- Talha Can Havadar <talha.can.havadar@canonical.com>  Thu, 02 Nov 2023 17:29:31 +0100

xmutil (2023.2-0ubuntu1) jammy; urgency=medium

  * Update to new upstream version 2023.2
    - All submodules axi-qos, ddr-qos and image-update
      are also updated to 2023.2

 -- Talha Can Havadar <talha.can.havadar@canonical.com>  Thu, 02 Nov 2023 17:16:50 +0100

xmutil (2023.1+20230620-0xlnx1) jammy; urgency=medium

  * Update to new upstream 56c808f

 -- Talha Can Havadar <talha.can.havadar@canonical.com>  Tue, 20 Jun 2023 20:30:05 +0000

xmutil (2023.1+20230411-0xlnx3) jammy; urgency=medium

  * d/p/fix-getpkgs-error.patch: Add ignore-errors by default to getpkgs command

 -- Talha Can Havadar <talha.can.havadar@canonical.com>  Tue, 20 Jun 2023 07:41:53 +0000

xmutil (2023.1+20230411-0xlnx2) jammy; urgency=medium

  * d/p/fix-image-update-install.patch: Add image-update bin to /usr/bin

 -- Talha Can Havadar <talha.can.havadar@canonical.com>  Sat, 17 Jun 2023 08:34:53 +0000

xmutil (2023.1+20230411-0xlnx1) jammy; urgency=medium

  * Update to new upstream
    - Update xmutil to 485b1c5
    - Update axi-qos, ddr-qos and image-update to 2023.1
    - Remove d/p/image-update-rename-fru-print.patch
    - Use freeipmi instead of fru-print
    - Add support for K24

 -- Talha Can Havadar <talha.can.havadar@canonical.com>  Wed, 14 Jun 2023 11:22:33 +0000

xmutil (2022.1+20220928-0xlnx1) jammy; urgency=medium

  * Update to new upstream
    - Update xmutil to 49ffc83
      . Use renamed xlnx-platformstats instead of original platformstats
    - Remove platformstats since it is already packaged independently
      as xlnx-platformstats

 -- Hon Ming Hui <honming.hui@canonical.com>  Wed, 28 Sep 2022 01:06:36 +0100

xmutil (2022.1+20220726-0xlnx2) jammy; urgency=medium

  * New patch, fix-dp-unbind-and-desktop-disable: cherry pick 3d667ed to
    fix DP unbind and desktop enable/disable.

 -- Loïc Minier <loic.minier@ubuntu.com>  Fri, 29 Jul 2022 16:29:50 +0000

xmutil (2022.1+20220726-0xlnx1) jammy; urgency=medium

  * New upstream snapshots from 2022-07-26:
    - Update xmutil to a6bacc8.
      . Drop patches xmutil-add-makefile, xmutil-rename-fru-print,
        xmutil-fix-unloadapp-arguments, add-ubuntu-support-in-getpkgs,
        cherry-pick-update-apt-query: merged upstream.
    - Update linux_image-update to 170a84f.
      . Drop patch image-update-add-install-target: merged upstream.
    - Update platformstats to 616ce5a.
      . Drop patches platformstats-fix-clean,
        platformstats-add-install-target, platformstats-add-makefile,
        cherry-pick-meminfo-parsing-fix: merged upstream.
      . Build-depend on swig which now gets called during build, and on
        python3-dev for Python.h.
    - No updates to axi-qos and ddr-qos – no upstream changes.

 -- Loïc Minier <loic.minier@ubuntu.com>  Tue, 26 Jul 2022 13:00:34 +0000

xmutil (2022.1-0ubuntu0~xlnx9) jammy; urgency=medium

  * New patch cherry-pick-update-apt-query: cherry-pick 1edb8c7 to
    search for xmutil to search for Xilinx Apps demos with the xlnx-app-
    prefix instead of packagegroup-.

 -- Loïc Minier <loic.minier@ubuntu.com>  Tue, 14 Jun 2022 15:14:49 +0000

xmutil (2022.1-0ubuntu0~xlnx8) jammy; urgency=medium

  * New patch cherry-pick-meminfo-parsing-fix: cherry-pick c7b5621 to fix
    parsing /proc/meminfo; LP: #1973047.

 -- Loïc Minier <loic.minier@ubuntu.com>  Sun, 22 May 2022 19:50:50 +0000

xmutil (2022.1-0ubuntu0~xlnx7) jammy; urgency=medium

  * New patch image-update-rename-fru-print to call fru-print rather than
    fru-print.py from image-update/image_update.c.

 -- Loïc Minier <loic.minier@ubuntu.com>  Mon, 16 May 2022 16:41:43 +0000

xmutil (2022.1-0ubuntu0~xlnx6) jammy; urgency=medium

  * Cherry-pick a couple of fixes from upstream as patches:
    - 05396d9 Add ubuntu support in getpkgs
    - a4bc19d xmutil: fix unloadapp arguments
    - Add python3-distro dependency for xmutil.

 -- Loïc Minier <loic.minier@ubuntu.com>  Tue, 10 May 2022 14:47:42 +0000

xmutil (2022.1-0ubuntu0~xlnx5) jammy; urgency=medium

  * Add missing cmake dependency and watch entry

 -- John Toomey <john.toomey@amd.com>  Thu, 28 Apr 2022 09:07:28 +0000

xmutil (2022.1-0ubuntu0~xlnx4) jammy; urgency=medium

  * Add axi-qos and ddr-qos

 -- John Toomey <john.toomey@amd.com>  Tue, 26 Apr 2022 10:06:10 +0000

xmutil (2022.1-0ubuntu0~xlnx3) jammy; urgency=medium

  * Recommend fru-print for "xmutil boardid".

 -- Loïc Minier <loic.minier@ubuntu.com>  Fri, 22 Apr 2022 00:28:55 +0000

xmutil (2022.1-0ubuntu0~xlnx2) jammy; urgency=medium

  * Add initial watch file. * Add patch xmutil-rename-fru-print to use fru-print instead of
    fru-print.py.

 -- Loïc Minier <loic.minier@ubuntu.com>  Fri, 22 Apr 2022 00:16:12 +0000

xmutil (2022.1-0ubuntu0~xlnx1) jammy; urgency=medium

  * Initial release based on Xilinx' xmutil 2022.1, platformstats 2022.1 and linux-image_update 2022.1.

 -- Loïc Minier <loic.minier@ubuntu.com>  Wed, 20 Apr 2022 21:56:32 +0000
