=== debian/watch ===
version=4
# * in opts:
#   - filenamemangle renames the downloaded tarball into a more correct name
#   - component sets the secondary upstream tarball component name
# * debian: xmutil is compared against the version in debian/changelog
# * same: other components are expected to have the same version
# * github tags are searched for versions
opts="filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/xmutil-$1\.tar\.gz/" \
  https://github.com/Xilinx/xmutil/tags \
  .*/v@ANY_VERSION@@ARCHIVE_EXT@ \
  debian
# linux-image_update
opts="filenamemangle=s/.+\/xilinx_v?(\d\S+)\.tar\.gz/linux-image_update-$1\.tar\.gz/, component=image-update" \
  https://github.com/Xilinx/linux-image_update/tags \
  .*/xilinx_v@ANY_VERSION@@ARCHIVE_EXT@ 2023.2
# axi-qos with same version
opts="filenamemangle=s/.+\/xilinx_v?(\d\S+)\.tar\.gz/axi-qos-$1\.tar\.gz/, component=axi-qos" \
  https://github.com/Xilinx/axi-qos/tags \
  .*/xilinx_v@ANY_VERSION@@ARCHIVE_EXT@ 2023.2
# ddr-qos with same version
opts="filenamemangle=s/.+\/xilinx_v?(\d\S+)\.tar\.gz/ddr-qos-$1\.tar\.gz/, component=ddr-qos" \
  https://github.com/Xilinx/ddr-qos/tags \
  .*/xilinx_v@ANY_VERSION@@ARCHIVE_EXT@ 2023.2
