## xmutil 1.2ubuntu1

=== debian/changelog ===
xmutil (1:1.2ubuntu1) jammy; urgency=medium

  * Update image-update to new upstream v1.1
    - Enables support to revision 2 boards

 -- Talha Can Havadar <talha.can.havadar@canonical.com>  Thu, 25 Jan 2024 16:16:04 +0100
