=== debian/control ===
Source: xmutil
Standards-Version: 4.6.0
Maintainer: Loïc Minier <loic.minier@ubuntu.com>
Priority: optional
Section: utils
Build-Depends: cmake, debhelper-compat (= 13), swig, python3-dev

Package: xmutil
Architecture: arm64
Depends: ${misc:Depends}, ${shlibs:Depends}, python3, python3-distro,
 xlnx-platformstats,
# for kria-pwrctl
 python3-periphery,
Recommends:
# for i2ctransfer (som-pwrctl, used in pwrctl)
 i2c-tools,
# for dfx-mgr-client (used in listapps, loadapp, unloadapp)
 dfx-mgr,
# for boardid
 freeipmi(>= 1.6.9-2ubuntu0.22.04.1),
Description: Wrapper around utilities for Xilinx System-on-Modules
 Xmutil is a frontend to a series of scripts useful on Xilinx
 System-on-Modules.
 .
 "xmutil bootfw_status" and "xmutil bootfw_update" allow checking and updating
 the contents of the QSPI flash (requires root or permission to read mtd
 devices).
 .
 "xmutil listapps", "xmutil loadapp" and "xmutil unloadapp" allow querying,
 loading and removing apps through dfx-mgr (requires dfx-mgr).
 .
 "xmutil platformstats" prints performance related statistics.
 .
 "xmutil pwrctl" controls the power of the Programmable Logic (PL) tile
 (requires i2c-tools).
