=== debian/watch ===
--- 
+++ 
@@ -10,9 +10,9 @@
   .*/v@ANY_VERSION@@ARCHIVE_EXT@ \
   debian
 # linux-image_update
-opts="filenamemangle=s/.+\/xilinx_v?(\d\S+)\.tar\.gz/linux-image_update-$1\.tar\.gz/, component=image-update" \
+opts="filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/linux-image_update-$1\.tar\.gz/, component=image-update" \
   https://github.com/Xilinx/linux-image_update/tags \
-  .*/xilinx_v@ANY_VERSION@@ARCHIVE_EXT@ 2023.2
+  .*/v@ANY_VERSION@@ARCHIVE_EXT@ 1.1
 # axi-qos with same version
 opts="filenamemangle=s/.+\/xilinx_v?(\d\S+)\.tar\.gz/axi-qos-$1\.tar\.gz/, component=axi-qos" \
   https://github.com/Xilinx/axi-qos/tags \
