=== debian/control ===
--- 
+++ 
@@ -3,21 +3,18 @@
 Maintainer: Loïc Minier <loic.minier@ubuntu.com>
 Priority: optional
 Section: utils
-Build-Depends: cmake, debhelper-compat (= 13), swig, python3-dev
+Build-Depends: cmake, debhelper-compat (= 13)
 
 Package: xmutil
 Architecture: arm64
-Depends: ${misc:Depends}, ${shlibs:Depends}, python3, python3-distro,
- xlnx-platformstats,
-# for kria-pwrctl
- python3-periphery,
+Depends: ${misc:Depends}, ${shlibs:Depends}, python3, python3-distro
 Recommends:
 # for i2ctransfer (som-pwrctl, used in pwrctl)
  i2c-tools,
 # for dfx-mgr-client (used in listapps, loadapp, unloadapp)
  dfx-mgr,
 # for boardid
- freeipmi(>= 1.6.9-2ubuntu0.22.04.1),
+ fru-print,
 Description: Wrapper around utilities for Xilinx System-on-Modules
  Xmutil is a frontend to a series of scripts useful on Xilinx
  System-on-Modules.
@@ -33,3 +30,4 @@
  .
  "xmutil pwrctl" controls the power of the Programmable Logic (PL) tile
  (requires i2c-tools).
+
