## xmutil 2022.1+20220726

=== CMakeLists.txt ===
--- 
+++ 
@@ -14,27 +14,33 @@
 # limitations under the License.
 #
 
+
 # cmake needs this line
 cmake_minimum_required(VERSION 3.5)
 
 # Define project name
-project(ddr-qos)
+project(axi-qos)
 
 SET(CMAKE_INSTALL_PREFIX $ENV{OECORE_TARGET_SYSROOT})
 set(CMAKE_C_STANDARD 99)
+
+SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-narrowing -fpermissive -rdynamic -Wl,--no-undefined" )
+SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -pthread -std=c++14")
+
+include_directories(include)
 
 include_directories(include)
 file(GLOB SOURCES "src/*.c")
 SET(INSTALL_PATH "usr/bin")
 
-#set(EXECUTABLE_OUTPUT_PATH  ${PROJECT_SOURCE_DIR})
 # Declare the executable target built from your sources
-add_executable(ddr-qos ${SOURCES})
-install(TARGETS ddr-qos RUNTIME DESTINATION ${INSTALL_PATH})
+add_executable(axi-qos ${SOURCES})
+
+install(TARGETS axi-qos RUNTIME DESTINATION ${INSTALL_PATH})
 
 set(VERSION "1.0")
 set(CPACK_PACKAGE_VERSION ${VERSION})
-set(CPACK_PACKAGE_NAME "ddr-qos")
+set(CPACK_PACKAGE_NAME "axi-qos")
 set(CPACK_PACKAGE_RELEASE 1)
 set(CPACK_PACKAGE_CONTACT "amamidal@xilinx.com")
 set(CPACK_PACKAGE_VENDOR "xilinx")
