=== app/Makefile ===
--- 
+++ 
@@ -1,17 +1,23 @@
-.PHONY:	clean
+.PHONY:	clean all build install
 
 CC ?=  gcc
+INSTALL_PROGRAM ?= install
 CFLAGS ?= -Wall -Wextra
 LDFLAGS ?= 
 LIBDIR = ../src
 INCLUDEDIR = ../include/platformstats
 SOURCES = main.c
-APPS = main
+APPS = platformstats
 APPSTMPS = main.out
+
+bindir ?= /usr/bin
 
 all: build
 
 build: $(APPSTMPS)
+
+install: $(APPSTMPS)
+	$(INSTALL_PROGRAM) -D -m 755 platformstats $(DESTDIR)$(bindir)/platformstats
 
 %.out: %.o
 	$(CC) $(LDFLAGS) -o platformstats main.o -L$(LIBDIR) -lplatformstats
