=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Maintainer: Loïc Minier <loic.minier@ubuntu.com>
 Priority: optional
 Section: utils
-Build-Depends: cmake, debhelper-compat (= 13)
+Build-Depends: cmake, debhelper-compat (= 13), swig, python3-dev
 
 Package: xmutil
 Architecture: arm64
