=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure $@
	dh_auto_configure --sourcedirectory=axi-qos --builddirectory=axi-qos_build $@
	dh_auto_configure --sourcedirectory=ddr-qos --builddirectory=ddr-qos_build $@

override_dh_auto_build:
	dh_auto_build $@
	dh_auto_build --sourcedirectory=image-update $@
	dh_auto_build --sourcedirectory=platformstats $@
	dh_auto_build --sourcedirectory=axi-qos --builddirectory=axi-qos_build $@
	dh_auto_build --sourcedirectory=ddr-qos --builddirectory=ddr-qos_build $@

override_dh_auto_clean:
	dh_auto_clean $@
	dh_auto_clean --sourcedirectory=image-update $@
	dh_auto_clean --sourcedirectory=platformstats $@
	dh_auto_clean --sourcedirectory=axi-qos --builddirectory=axi-qos_build $@
	dh_auto_clean --sourcedirectory=ddr-qos --builddirectory=ddr-qos_build $@

override_dh_auto_install:
	dh_auto_install $@
	dh_auto_install --sourcedirectory=image-update $@
	# XXX not sure why this doesn't work
	#dh_auto_install --sourcedirectory=platformstats $@
	$(MAKE) -C platformstats install DESTDIR=$(CURDIR)/debian/xmutil/
	dh_auto_install --sourcedirectory=axi-qos --builddirectory=axi-qos_build $@
	dh_auto_install --sourcedirectory=ddr-qos --builddirectory=ddr-qos_build $@
