## xmutil 2022.1+20220928

=== Makefile ===
--- 
+++ 
@@ -5,6 +5,8 @@
 
 CROSS_COMPILE ?= aarch64-linux-gnu-
 CC ?= $(CROSS_COMPILE)gcc
+INSTALL_PROGRAM ?= install
+bindir ?= /usr/bin
 EXEC := image_update
 c_SOURCES := $(wildcard *.c)
 INCLUDES := $(wildcard *.h)
@@ -15,5 +17,8 @@
 $(EXEC): $(c_SOURCES)
 	$(CC) $< -o $@
 
+install: $(EXEC)
+	$(INSTALL_PROGRAM) -D -m 755 $(EXEC) $(DESTDIR)$(bindir)/$(EXEC)
+
 clean:
 	rm -rf $(OBJS) image_update
