=== debian/control ===
--- 
+++ 
@@ -7,7 +7,8 @@
 
 Package: xmutil
 Architecture: arm64
-Depends: ${misc:Depends}, ${shlibs:Depends}, python3, python3-distro
+Depends: ${misc:Depends}, ${shlibs:Depends}, python3, python3-distro, 
+ xlnx-platformstats,
 Recommends:
 # for i2ctransfer (som-pwrctl, used in pwrctl)
  i2c-tools,
